CLEAR ALL
BITMAP 1 NEW 1,800
SPRITE 1 BIND BITMAP 1 SHOW MOVE 0,400 SCALE 1280,1
t=31 ' 94
TILEMAP 1 NEW 40,25
SPRITE 2 BIND TILEMAP 1 XYSIZE 16,16 SHOW
TARGET TILEMAP 1
INK RGB(0,0,0)
PUT RECT FILL 0,0,39,24,t
DO
    SPRITE 2 ROTATE 0
    SPRITE 2 ROTATE TO 360,5000
    st=TIME
    DO
        a$=INKEY$
        IF a$=" " THEN
            t=t XOR 128
            TARGET TILEMAP 1
            PUT RECT FILL 0,0,39,24,t
        ELSE IF a$<>"" THEN
            END
        END IF
        TARGET BITMAP 1
        ROLL BITMAP UP 4
        POKE 796,PLASMA.COLOR
        POKE 797,PLASMA.COLOR
        POKE 798,PLASMA.COLOR
        POKE 799,PLASMA.COLOR
        PAUSE
    LOOP WHILE TIME<st+5000
LOOP
